#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Device
%define		pnam	ParallelPort-drv-parport
Summary:	Device::ParallelPort - driver that uses direct I/O access
Summary(pl.UTF-8):	Device::ParallelPort - sterownik używający bezpośredniego wejścia/wyjścia
Name:		perl-Device-ParallelPort-drv-parport
Version:	1.0
Release:	7
# same as perl (?)
# README says it is Artistic only, LICENSE says it is LGPL or Artistic
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	901987e4a37bfe2d7241530bda05f36e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Device-ParallelPort
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Device::ParallelPort driver that uses direct I/O access on
Linux. It uses the Linux parport driver and is definitely the prefered
access method on Linux. It also means that you do not require root
access.

%description -l pl.UTF-8
To jest sterownik Device::ParallelPort używający bezpośredniego
dostępu do wejścia/wyjścia pod Linuksem. Korzysta z linuksowego
sterownika portu równoległego i jest preferowaną metodą dostępu
na Linuksie. Oznacza to także, że nie trzeba mieć praw roota.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Device/ParallelPort
%dir %{perl_vendorarch}/Device/ParallelPort/drv
%{perl_vendorarch}/Device/ParallelPort/drv/parport.pm
%dir %{perl_vendorarch}/auto/Device/ParallelPort
%dir %{perl_vendorarch}/auto/Device/ParallelPort/drv
%dir %{perl_vendorarch}/auto/Device/ParallelPort/drv/parport
%attr(755,root,root) %{perl_vendorarch}/auto/Device/ParallelPort/drv/parport/parport.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Device-ParallelPort-drv-parport.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 907969c
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 261122d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 24a6dfa
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 090f211
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 903ae12
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 112a65d
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b23e2cd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a8d8a80
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> b705bf9
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 41a1ee5
- rel. 2

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 980b4cf
- license fixes/unufication

* Tue Apr 13 2004 ankry <ankry@pld-linux.org> adf9d32
- cosmetics

* Mon Apr 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 6405feb
- proper desc, use optflags, pl, missing dirs

* Sun Apr 11 2004 Maciej Pijanka <agaran@pld-linux.org> 80b7c98
- new spec

